package de.ibh.RandomArt;

public class RAOSum extends AbstractRAOperatorA2 {
	public RAOSum(RAPRNG prng) {
		super(prng);
	}

	@Override
	public double[] eval(final double x, final double y) {
		double rgb1[] = ops.get(0).eval(x,y);
		double rgb2[] = ops.get(1).eval(x,y);
		
		RAUtilities.checkRGB(rgb1);
		RAUtilities.checkRGB(rgb2);

		return RAUtilities.average(rgb1, rgb2, 0.5);
	}
}
