package de.ibh.RandomArt;

import java.util.List;
import java.util.Random;

public class RAPRNG {
	Random prng;
	
	public RAPRNG(final long seed) {
		prng = new Random(seed);
	}
	
	public double uniform(final double a, final double b) {
		return prng.nextDouble() * (b - a) + a;
	}
	
	public AbstractRAOperator choice(List<AbstractRAOperator> ops) {
		return ops.get( (int) (Math.round(uniform(1, ops.size())) - 1) );
	}
}
