package de.ibh.StrongRoom.Exception;

import de.ibh.StrongRoom.l10n.StrongRoomL10N;

public abstract class SRGenericCryptoModelException extends SRGenericException {
	private static final long serialVersionUID = 1L;
	private static StrongRoomL10N l10n = StrongRoomL10N.getInstance();	
	
	public SRGenericCryptoModelException(String msg) {
		super(msg + " " + l10n._("The database or your configuration might have been tampered with!"));
	}
	
	public SRGenericCryptoModelException(Exception e) {
		super(e);
	}
}
