//---------------------------------------------------------------------------
// Freely available from Media Art Online (http://www.media-art-online.org/).
// Copyright (C) 2006 Media Art Online (cafe@media-art-online.org)
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
//
// PROJECT: PGP/GnuPG Applications
// MODULE:  GnuPG support
// FILE:    GnuPGFingerprint.java
//
// DESCRIPTION:
//
// REVISION HISTORY:
//  Name      Date        Description
//  ----      ----------  -----------
//  ks91      2006/10/15  initial version
//
// $Id: //depot/scm/main/java/org/media_art_online/gnupg/GnuPGFingerprint.java#1 $
// $DateTime: 2006/10/18 04:19:25 $
//---------------------------------------------------------------------------

//---------------------------------------------------------------------------
// Package
//---------------------------------------------------------------------------
package org.media_art_online.gnupg;

//---------------------------------------------------------------------------
// Import
//---------------------------------------------------------------------------
// none.

public class GnuPGFingerprint {

	public GnuPGFingerprint(String sHex) {
		_sHex = sHex;
	}

	public String getHexString() {
		return (_sHex);
	}

	public String toString() {
		return (toString(_sHex));
	}

	public static String toString(String sHex) {

		StringBuffer sBuf = new StringBuffer(sHex);

		for (int i = 0, j = 0; i < sBuf.length(); i++) {

			if (j++ >= INTERVAL_FINGERPRINT) {
				sBuf.insert(i, ' ');
				j = 0;
			}
		}

		return (sBuf.toString());
	}

	public void setHexString(String sHex) {
		_sHex = sHex;
	}

//===========================================================================
// BARRIER: Anything below is not open to other files.
//===========================================================================

	private String _sHex;

	private static final int INTERVAL_FINGERPRINT =  4;
};

// GnuPGFingerprint.java
