package de.ibh.StrongRoom.Client.SWT;

import org.apache.log4j.AppenderSkeleton;
import org.apache.log4j.spi.LoggingEvent;
import org.eclipse.swt.custom.StyledText;

import de.ibh.StrongRoom.l10n.StrongRoomL10N;

public class StyledTextAppender extends AppenderSkeleton {
	private StyledText text = null;
	private StrongRoomL10N l10n = StrongRoomL10N.getInstance(); 
	
	public void setStyledText(StyledText arg0) { text = arg0; }
	public StyledText getStyledText() { return text; }

	
	@Override
	protected synchronized void append(LoggingEvent arg0) {
		if (text == null) {
			errorHandler.error(l10n._("No text widget given."));
		}
	
		text.append(this.layout.format(arg0));
	}

	@Override
	public void close() {
	}

	@Override
	public boolean requiresLayout() {
		return true;
	}

}
