//---------------------------------------------------------------------------
// Freely available from Media Art Online (http://www.media-art-online.org/).
// Copyright (C) 2006 Media Art Online (cafe@media-art-online.org)
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
//
// PROJECT: PGP/GnuPG Applications
// MODULE:  GnuPG support
// FILE:    GnuPGVersion.java
//
// DESCRIPTION:
//
// REVISION HISTORY:
//  Name      Date        Description
//  ----      ----------  -----------
//  ks91      2006/10/01  initial version
//
// $Id: //depot/scm/main/java/org/media_art_online/gnupg/GnuPGVersion.java#1 $
// $DateTime: 2006/10/02 09:31:42 $
//---------------------------------------------------------------------------

//---------------------------------------------------------------------------
// Package
//---------------------------------------------------------------------------
package org.media_art_online.gnupg;

//---------------------------------------------------------------------------
// Import
//---------------------------------------------------------------------------
// none.

public class GnuPGVersion {

	public GnuPGVersion() {
		_sHome    = "";
		_sVersion = "";
	}

	public String getHomeDirectory() {
		return (_sHome);
	}

	public String getVersionString() {
		return (_sVersion);
	}

	public void setHomeDirectory(String sHome) {
		_sHome = sHome;
	}

	public void setVersionString(String sVersion) {
		_sVersion = sVersion;
	}

//===========================================================================
// BARRIER: Anything below is not open to other files.
//===========================================================================

	private String _sHome;
	private String _sVersion;
};

// GnuPGVersion.java
